Closed Bug 545582 Opened 10 years ago Closed 9 years ago

mochitest-plain: Intermittent assertion failure: lastProp->childp == &lastProp, at /builds/slave/mozilla-central-macosx-debug/build/js/src/jsscope.h:725 running test_xhrAbort.html or crash [@ NewScopeProperty]

Categories

(Core :: JavaScript Engine, defect)

x86
macOS
defect
Not set

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: philor, Unassigned)

References

Details

(Keywords: intermittent-failure)

Attachments

(1 file)

Attached file Full minidump
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265839640.1265840136.32478.gz&fulltext=1#err0
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/02/10 14:07:20
s: moz2-darwin9-slave21

566 INFO Running /tests/dom/src/threads/test/test_xhrAbort.html...
--DOMWINDOW == 23 (0x6fcd7e0) [serial = 702] [outer = 0x9285d20] [url = http://localhost:8888/tests/dom/src/threads/test/test_regExpStatics.html]
--DOMWINDOW == 22 (0xf0baa20) [serial = 700] [outer = 0x9285d20] [url = http://localhost:8888/tests/dom/src/threads/test/test_navigator.html]
++DOMWINDOW == 23 (0xb222670) [serial = 711] [outer = 0x9285d20]
Assertion failure: lastProp->childp == &lastProp, at /builds/slave/mozilla-central-macosx-debug/build/js/src/jsscope.h:725
TEST-UNEXPECTED-FAIL | automation.py | Exited with code 1 during test run
INFO | automation.py | Application ran for: 0:05:06.113002
INFO | automation.py | Reading PID log: /var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-/tmpKmAUOPpidlog
PROCESS-CRASH | automation.py | application crashed (minidump found)
Operating system: Mac OS X
                  10.5.2 9C31
CPU: x86
     GenuineIntel family 6 model 14 stepping 8
     2 CPUs

Crash reason:  EXC_BAD_ACCESS / KERN_PROTECTION_FAILURE
Crash address: 0x0

Thread 0 (crashed)
 0  libmozjs.dylib!JS_Assert [jsutil.cpp:4b0f7a43f0a1 : 73 + 0x5]
    eip = 0x00331f93   esp = 0xbfffbb30   ebp = 0xbfffbb58   ebx = 0x00331f5c
    esi = 0x04132600   edi = 0x0264f60e   eax = 0x00000000   ecx = 0x00000000
    edx = 0x00000000   efl = 0x00210246
    Found by: given as instruction pointer in context
 1  libmozjs.dylib!JSScope::insertDictionaryProperty(JSScopeProperty*, JSScopeProperty**) [jsscope.h:4b0f7a43f0a1 : 725 + 0x3c]
    eip = 0x003174d9   esp = 0xbfffbb60   ebp = 0xbfffbb78
    Found by: previous frame's frame pointer
 2  libmozjs.dylib!JSScope::newDictionaryProperty(JSContext*, JSScopeProperty const&, JSScopeProperty**) [jsscope.cpp:4b0f7a43f0a1 : 1163 + 0x18]
    eip = 0x00314d3d   esp = 0xbfffbb80   ebp = 0xbfffbbb8
    Found by: previous frame's frame pointer
 3  libmozjs.dylib!JSScope::toDictionaryMode(JSContext*, JSScopeProperty*&) [jsscope.cpp:4b0f7a43f0a1 : 1204 + 0x1f]
    eip = 0x00314e6f   esp = 0xbfffbbc0   ebp = 0xbfffbc18
    Found by: previous frame's frame pointer
 4  libmozjs.dylib!JSScope::putProperty(JSContext*, long, int (*)(JSContext*, JSObject*, long, long*), int (*)(JSContext*, JSObject*, long, long*), unsigned int, unsigned int, unsigned int, int) [jsscope.cpp:4b0f7a43f0a1 : 1446 + 0x18]
    eip = 0x00316245   esp = 0xbfffbc20   ebp = 0xbfffbc98
    Found by: previous frame's frame pointer
 5  libmozjs.dylib!js_DefineNativeProperty [jsobj.cpp:4b0f7a43f0a1 : 4592 + 0x43]
    eip = 0x002b7302   esp = 0xbfffbca0   ebp = 0xbfffbd18
    Found by: previous frame's frame pointer
 6  libmozjs.dylib!js_DefineProperty [jsobj.cpp:4b0f7a43f0a1 : 4449 + 0x54]
    eip = 0x002b75d9   esp = 0xbfffbd20   ebp = 0xbfffbd58
    Found by: previous frame's frame pointer
 7  libmozjs.dylib!JSObject::defineProperty(JSContext*, long, long, int (*)(JSContext*, JSObject*, long, long*), int (*)(JSContext*, JSObject*, long, long*), unsigned int) [jsobj.h:4b0f7a43f0a1 : 359 + 0x3b]
    eip = 0x0022230a   esp = 0xbfffbd60   ebp = 0xbfffbd88
    Found by: previous frame's frame pointer
 8  libmozjs.dylib!js_DefineFunction [jsfun.cpp:4b0f7a43f0a1 : 2543 + 0x76]
    eip = 0x00264110   esp = 0xbfffbd90   ebp = 0xbfffbdd8
    Found by: previous frame's frame pointer
 9  libmozjs.dylib!JS_DefineFunction [jsapi.cpp:4b0f7a43f0a1 : 4571 + 0x2d]
    eip = 0x0020e11c   esp = 0xbfffbde0   ebp = 0xbfffbe28
    Found by: previous frame's frame pointer
10  XUL!xpc_qsDefineQuickStubs(JSContext*, JSObject*, unsigned int, unsigned int, nsID const**, unsigned int, xpc_qsHashEntry const*) [xpcquickstubs.cpp:4b0f7a43f0a1 : 446 + 0x38]
    eip = 0x01d56f77   esp = 0xbfffbe30   ebp = 0xbfffbe88
    Found by: previous frame's frame pointer

(remainder in the attachment)
I believe this also manifests itself as a crash @ NewScopeProperty... same test, there's probably some memory corruption.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266496719.1266497161.1533.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/02/18 04:38:39


566 INFO Running /tests/dom/src/threads/test/test_xhrAbort.html...
--DOMWINDOW == 24 (0x82202d0) [serial = 701] [outer = 0x778e7c0] [url = http://localhost:8888/tests/dom/src/threads/test/test_regExpStatics.html]
--DOMWINDOW == 23 (0x5d69800) [serial = 699] [outer = 0x778e7c0] [url = http://localhost:8888/tests/dom/src/threads/test/test_navigator.html]
--DOMWINDOW == 22 (0x5de9130) [serial = 698] [outer = 0x778e7c0] [url = http://localhost:8888/tests/dom/src/threads/test/test_longThread.html]
++DOMWINDOW == 23 (0x614fc90) [serial = 710] [outer = 0x778e7c0]
NEXT ERROR TEST-UNEXPECTED-FAIL | automation.py | Exited with code 1 during test run
INFO | automation.py | Application ran for: 0:04:41.913588
INFO | automation.py | Reading PID log: /var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-/tmpsvKydppidlog
NEXT ERROR PROCESS-CRASH | automation.py | application crashed (minidump found)
Operating system: Mac OS X
                  10.5.2 9C31
CPU: x86
     GenuineIntel family 6 model 15 stepping 2
     2 CPUs

Crash reason:  EXC_BAD_ACCESS / KERN_PROTECTION_FAILURE
Crash address: 0x1d9f266

Thread 12 (crashed)
 0  libmozjs.dylib!NewScopeProperty [jsscope.cpp:77dab2533801 : 568 + 0x2a]
    eip = 0x003140f0   esp = 0xb06bc390   ebp = 0xb06bc3c8   ebx = 0x00315534
    esi = 0x0eb75c00   edi = 0x02eeb7ca   eax = 0x002b028a   ecx = 0x4d555458
    edx = 0x01d9f25e   efl = 0x00010202
    Found by: given as instruction pointer in context
 1  libmozjs.dylib!GetPropertyTreeChild [jsscope.cpp:77dab2533801 : 968 + 0xa]
    eip = 0x00315940   esp = 0xb06bc3d0   ebp = 0xb06bc418
    Found by: previous frame's frame pointer
 2  libmozjs.dylib!JSScope::getChildProperty(JSContext*, JSScopeProperty*, JSScopeProperty&) [jsscope.cpp:77dab2533801 : 1043 + 0x18]
    eip = 0x00315bc8   esp = 0xb06bc420   ebp = 0xb06bc458
    Found by: previous frame's frame pointer
 3  libmozjs.dylib!JSScope::addPropertyHelper(JSContext*, long, int (*)(JSContext*, JSObject*, long, long*), int (*)(JSContext*, JSObject*, long, long*), unsigned int, unsigned int, unsigned int, int, JSScopeProperty**) [jsscope.cpp:77dab2533801 : 1348 + 0x22]
    eip = 0x00315e31   esp = 0xb06bc460   ebp = 0xb06bc4b8
    Found by: previous frame's frame pointer
 4  libmozjs.dylib!JSScope::putProperty(JSContext*, long, int (*)(JSContext*, JSObject*, long, long*), int (*)(JSContext*, JSObject*, long, long*), unsigned int, unsigned int, unsigned int, int) [jsscope.cpp:77dab2533801 : 1407 + 0x49]
    eip = 0x003160dc   esp = 0xb06bc4c0   ebp = 0xb06bc538
    Found by: previous frame's frame pointer
 5  libmozjs.dylib!js_DefineNativeProperty [jsobj.cpp:77dab2533801 : 4592 + 0x43]
    eip = 0x002b7302   esp = 0xb06bc540   ebp = 0xb06bc5b8
    Found by: previous frame's frame pointer
 6  libmozjs.dylib!js_DefineProperty [jsobj.cpp:77dab2533801 : 4449 + 0x54]
    eip = 0x002b75d9   esp = 0xb06bc5c0   ebp = 0xb06bc5f8
    Found by: previous frame's frame pointer
 7  libmozjs.dylib!JSObject::defineProperty(JSContext*, long, long, int (*)(JSContext*, JSObject*, long, long*), int (*)(JSContext*, JSObject*, long, long*), unsigned int) [jsobj.h:77dab2533801 : 359 + 0x3b]
    eip = 0x0022230a   esp = 0xb06bc600   ebp = 0xb06bc628
    Found by: previous frame's frame pointer
 8  libmozjs.dylib!js_DefineFunction [jsfun.cpp:77dab2533801 : 2543 + 0x76]
    eip = 0x00264110   esp = 0xb06bc630   ebp = 0xb06bc678
    Found by: previous frame's frame pointer
 9  libmozjs.dylib!js_InitClass [jsobj.cpp:77dab2533801 : 3794 + 0x2e]
    eip = 0x002ba576   esp = 0xb06bc680   ebp = 0xb06bc6f8
    Found by: previous frame's frame pointer
10  libmozjs.dylib!js_InitTypedArrayClasses [jstypedarray.cpp:77dab2533801 : 1154 + 0x57]
    eip = 0x00326b34   esp = 0xb06bc700   ebp = 0xb06bc758
    Found by: previous frame's frame pointer
11  libmozjs.dylib!JS_ResolveStandardClass [jsapi.cpp:77dab2533801 : 1628 + 0x13]
    eip = 0x0020be1c   esp = 0xb06bc760   ebp = 0xb06bc7b8
    Found by: previous frame's frame pointer
12  XUL!TempGlobalResolve [nsXPConnect.cpp:77dab2533801 : 1159 + 0x1f]
    eip = 0x01ce51e4   esp = 0xb06bc7c0   ebp = 0xb06bc7e8
    Found by: previous frame's frame pointer
13  libmozjs.dylib!js_LookupPropertyWithFlags [jsobj.cpp:77dab2533801 : 4755 + 0x18]
    eip = 0x002b3cfa   esp = 0xb06bc7f0   ebp = 0xb06bc868
    Found by: previous frame's frame pointer
14  libmozjs.dylib!js_GetPropertyHelper [jsobj.cpp:77dab2533801 : 5115 + 0x33]
    eip = 0x002b6170   esp = 0xb06bc870   ebp = 0xb06bc8c8
    Found by: previous frame's frame pointer
15  libmozjs.dylib!js_GetProperty [jsobj.cpp:77dab2533801 : 5201 + 0x27]
    eip = 0x002b6e82   esp = 0xb06bc8d0   ebp = 0xb06bc8f8
    Found by: previous frame's frame pointer
16  libmozjs.dylib!JSObject::getProperty(JSContext*, long, long*) [jsobj.h:77dab2533801 : 363 + 0x26]
    eip = 0x00222339   esp = 0xb06bc900   ebp = 0xb06bc918
    Found by: previous frame's frame pointer
17  libmozjs.dylib!JS_GetProperty [jsapi.cpp:77dab2533801 : 3560 + 0x4b]
    eip = 0x0020ba16   esp = 0xb06bc920   ebp = 0xb06bc968
    Found by: previous frame's frame pointer
18  XUL!InitWebGLTypes [nsXPConnect.cpp:77dab2533801 : 1052 + 0x22]
    eip = 0x01ce5312   esp = 0xb06bc970   ebp = 0xb06bc9d8
    Found by: previous frame's frame pointer
19  XUL!nsXPConnect::InitClasses(JSContext*, JSObject*) [nsXPConnect.cpp:77dab2533801 : 1130 + 0x1e]
    eip = 0x01ce5e8d   esp = 0xb06bc9e0   ebp = 0xb06bcac8
    Found by: previous frame's frame pointer
20  XUL!nsXPConnect::InitClassesWithNewWrappedGlobal(JSContext*, nsISupports*, nsID const&, unsigned int, nsIXPConnectJSObjectHolder**) [nsXPConnect.cpp:77dab2533801 : 1204 + 0x1f]
    eip = 0x01ce5690   esp = 0xb06bcad0   ebp = 0xb06bcc08
    Found by: previous frame's frame pointer
21  XUL!nsDOMWorker::CompileGlobalObject(JSContext*) [nsDOMWorker.cpp:77dab2533801 : 1566 + 0x55]
    eip = 0x026a6ebd   esp = 0xb06bcc10   ebp = 0xb06bcc98
    Found by: previous frame's frame pointer
22  XUL!nsDOMWorker::SetGlobalForContext(JSContext*) [nsDOMWorker.cpp:77dab2533801 : 1521 + 0x11]
    eip = 0x026a7432   esp = 0xb06bcca0   ebp = 0xb06bcce8
    Found by: previous frame's frame pointer
23  XUL!nsDOMWorkerRunnable::Run() [nsDOMThreadService.cpp:77dab2533801 : 403 + 0x1e]
    eip = 0x026a262c   esp = 0xb06bccf0   ebp = 0xb06bcd88
    Found by: previous frame's frame pointer
Summary: mochitest-plain: Intermittent assertion failure: lastProp->childp == &lastProp, at /builds/slave/mozilla-central-macosx-debug/build/js/src/jsscope.h:725 running test_xhrAbort.html → mochitest-plain: Intermittent assertion failure: lastProp->childp == &lastProp, at /builds/slave/mozilla-central-macosx-debug/build/js/src/jsscope.h:725 running test_xhrAbort.html or crash [@ NewScopeProperty]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267963448.1267964172.20809.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/03/07 04:04:08
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268517960.1268518904.11631.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/03/13 14:06:00
s: moz2-darwin9-slave20
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.